summaryrefslogtreecommitdiff
path: root/kde-plasma
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2021-10-27 22:45:07 +0100
committerV3n3RiX <venerix@koprulu.sector>2021-10-27 22:45:07 +0100
commit79cf291d2553a2d3139eabadda8968f3cf224417 (patch)
treedb56dc8e4576e434263f75056e793f82045a3efb /kde-plasma
parent9e8fbd760084f14450d0135d88f62119d29a3aa7 (diff)
kde-plasma/kinfocenter : version bump
Diffstat (limited to 'kde-plasma')
-rw-r--r--kde-plasma/kinfocenter/kinfocenter-5.23.2-r10.ebuild98
1 files changed, 98 insertions, 0 deletions
diff --git a/kde-plasma/kinfocenter/kinfocenter-5.23.2-r10.ebuild b/kde-plasma/kinfocenter/kinfocenter-5.23.2-r10.ebuild
new file mode 100644
index 00000000..97cdc922
--- /dev/null
+++ b/kde-plasma/kinfocenter/kinfocenter-5.23.2-r10.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_HANDBOOK="forceoptional"
+KFMIN=5.86.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.2
+inherit ecm kde.org optfeature
+
+DESCRIPTION="Utility providing information about the computer hardware"
+HOMEPAGE="https://userbase.kde.org/KInfoCenter"
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="gles2-only ieee1394 +opengl +pci usb wayland +X"
+
+REQUIRED_USE="opengl? ( X ) wayland? ( || ( opengl gles2-only ) )"
+
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5[gles2-only=]
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=kde-frameworks/kcmutils-${KFMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kconfigwidgets-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kdeclarative-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kiconthemes-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/kpackage-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ >=kde-frameworks/kwidgetsaddons-${KFMIN}:5
+ >=kde-frameworks/solid-${KFMIN}:5
+ gles2-only? ( media-libs/mesa[gles2] )
+ ieee1394? ( sys-libs/libraw1394 )
+ opengl? (
+ media-libs/libglvnd[X?]
+ !gles2-only? ( media-libs/glu )
+ )
+ pci? ( sys-apps/pciutils )
+ usb? ( virtual/libusb:1 )
+ wayland? (
+ >=kde-frameworks/kwayland-${KFMIN}:5
+ media-libs/mesa[egl(+)]
+ )
+ X? ( x11-libs/libX11 )
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+ >=kde-frameworks/kirigami-${KFMIN}:5
+ >=kde-plasma/kde-cli-tools-${PVCUT}:5
+ >=kde-plasma/systemsettings-${PVCUT}:5
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package ieee1394 RAW1394)
+ $(cmake_use_find_package pci PCIUTILS)
+ $(cmake_use_find_package usb USB1)
+ $(cmake_use_find_package wayland EGL)
+ $(cmake_use_find_package wayland KF5Wayland)
+ $(cmake_use_find_package X X11)
+ )
+
+ if has_version "dev-qt/qtgui[gles2-only]"; then
+ mycmakeargs+=( $(cmake_use_find_package gles2-only OpenGLES) )
+ else
+ mycmakeargs+=( $(cmake_use_find_package opengl OpenGL) )
+ fi
+
+ ecm_src_configure
+}
+
+src_install() {
+ ecm_src_install
+
+ # TODO: Make this fully obsolete by /etc/os-release
+ insinto /etc/xdg
+ doins "${FILESDIR}"/kcm-about-distrorc
+
+ insinto /usr/share/${PN}
+ doins "${FILESDIR}"/glogo-small.png
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ optfeature "NFS information module" net-fs/nfs-utils
+ optfeature "Samba status information module" net-fs/samba
+ optfeature "Vulkan graphics API information module" dev-util/vulkan-tools
+ optfeature "advanced CPU information module" sys-apps/util-linux
+ fi
+ ecm_pkg_postinst
+}